From b1d23013e09866754e1988c5a2b2267af16e31d6 Mon Sep 17 00:00:00 2001
From: Daniele Varrazzo <daniele.varrazzo@gmail.com>
Date: Fri, 14 Jan 2011 01:18:05 +0000
Subject: [PATCH] Added icon removed from Zope 2.12.9 to the ZPsycopgDA package

Closes ticket #30. Bug report and patch by Pumukel.
---
 NEWS-2.3                                  |    7 +++++++
 ZPsycopgDA/DA.py                          |    2 +-
 ZPsycopgDA/__init__.py                    |    2 +-
 ZPsycopgDA/icons/DBAdapterFolder_icon.gif |  Bin 0 -> 897 bytes
 4 files changed, 9 insertions(+), 2 deletions(-)
 create mode 100755 ZPsycopgDA/icons/DBAdapterFolder_icon.gif

diff --git a/NEWS-2.3 b/NEWS-2.3
index 179ab29..0fcc197 100644
--- a/NEWS-2.3
+++ b/NEWS-2.3
@@ -1,3 +1,10 @@
+What's new in psycopg 2.3.3
+---------------------------
+
+  - Added missing icon to ZPsycopgDA package, not available in Zope 2.12.9
+    (ticket #30). Bug report and patch by Pumukel.
+
+
 What's new in psycopg 2.3.2
 ---------------------------
 
diff --git a/ZPsycopgDA/DA.py b/ZPsycopgDA/DA.py
index d88766e..735bc4b 100644
--- a/ZPsycopgDA/DA.py
+++ b/ZPsycopgDA/DA.py
@@ -194,7 +194,7 @@ __ac_permissions__ = (
 
 # add icons
 
-misc_={'conn': ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif')}
+misc_={'conn': ImageFile('icons/DBAdapterFolder_icon.gif', globals())}
 
 for icon in ('table', 'view', 'stable', 'what', 'field', 'text', 'bin',
              'int', 'float', 'date', 'time', 'datetime'):
diff --git a/ZPsycopgDA/__init__.py b/ZPsycopgDA/__init__.py
index f26d368..118c4fe 100644
--- a/ZPsycopgDA/__init__.py
+++ b/ZPsycopgDA/__init__.py
@@ -26,4 +26,4 @@ def initialize(context):
         permission = 'Add Z Psycopg 2 Database Connections',
         constructors = (DA.manage_addZPsycopgConnectionForm,
                         DA.manage_addZPsycopgConnection),
-        icon = SOFTWARE_HOME + '/Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif')
+        icon = 'icons/DBAdapterFolder_icon.gif')
diff --git a/ZPsycopgDA/icons/DBAdapterFolder_icon.gif b/ZPsycopgDA/icons/DBAdapterFolder_icon.gif
new file mode 100755
index 0000000000000000000000000000000000000000..ced0ef26a54d7150fe6f0589e561f8854eb2960a
GIT binary patch
literal 897
zcmZ?wbhEHb6krfw_|Cxa9|##30s;aW8X689H~{1{FgP$UEMRbGXkch?U~u>kRPi6k
zYyb-U2XaQiXb23W5K#Qd!U*z?4u}Bd2?mZh21X7Ui3JM|HgfP<MV$Dcz`!J+ER^73
zc)+<+fZ4>xL&3qNpUqTn%Z-o8?p@0ARc9)MR6Toiwc~VV3NCG)Zjx*^M>BAV4}+rU
bE|C|PpZP6tYZubZxUA^3z)_Hmg~1vCl&?8A

literal 0
HcmV?d00001

-- 
1.7.1

